<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
		<record id="izin_belajar_tree_view" model="ir.ui.view">
			<field name="name">izin.belajar.tree</field>
			<field name="model">izin.belajar</field>
			<field eval="1" name="priority"/>
			<field name="arch" type="xml">
				<tree string="Izin Belajar" create="false" 
							colors="grey:state in ('confirm','done');blue:state == 'verifikasi_opd';green:state == 'verifikasi_bkd';" >
					<field name="company_id"   />
					<field name="employee_id"   />
					
					<field name="level_pendidikan_id"   />
					<field name="program_studi_id"   />
					<field name="nama_sekolah_id"  />
					<field name="tahun_pengajuan"   />
					<field name="start_date"  />
					<field name="end_date"   />
					<field name="state"/>
				</tree>
			</field>
		</record>
		<record id="izin_belajar_form_view" model="ir.ui.view">
			<field name="name">izin.belajar.form</field>
			<field name="model">izin.belajar</field>
			<field eval="0" name="priority" />
			<field name="arch" type="xml">
				<form create="false"  string=" Izin Belajar" version="7.0">
					<header>
						<button string='Ajukan Ke Kepala OPD' confirm="Apakah anda yakin telah mengisi data dengan benar ?" name="action_verifikasi_opd" states="draft" type="object" />
						<button string='Rekomendasikan Ke BKD' confirm="Apakah anda yakin akan mengajukan ke BKD ?" name="action_verifikasi_bkd" states="verifikasi_opd" type="object" groups="df_pendidikan_lanjutan.admin_opd_pendidikan_lanjutan"/>
						<button string='Selesai' confirm="Apakah anda yakin akan menerima pengajuan ini ?" name="action_confirm" states="verifikasi_bkd" type="object"  groups="df_pendidikan_lanjutan.admin_pendidikan_lanjutan" />
						<button string='Tolak Pengajuan' name="action_draft"  states="verifikasi_opd,verifikasi_bkd" type="object"  groups="df_pendidikan_lanjutan.admin_pendidikan_lanjutan,df_pendidikan_lanjutan.admin_opd_pendidikan_lanjutan" />
						<field name="state" widget="statusbar"  readonly="1" />
					</header>
					<sheet>
					    <div class="oe_title">
					 		<label for="formasi_id" class="oe_edit_only" string="OPD"/>
						    <h1>
							<field name="formasi_id"  />
							</h1>
							<label for="nama_sekolah_id" class="oe_edit_only" string="OPD"/>
							<h1>
							<field name="nama_sekolah_id" readonly="True" />
							</h1>
							<label for="employee_id" class="oe_edit_only" />
						    <h2>
								<field name="employee_id" default_focus="1" placeholder="Nama" />
							</h2>
						    <label for="nip" class="oe_edit_only"/>
						    <h3>
								<field name="nip" />
							</h3>
						   
							
						</div>
						<div class="oe_right"> 
						<button string='Download Format Surat Permohonan' name="download_sp_izin_belajar" states="verifikasi_bkd,confirm" type="object" />
						<button string='Download Format SK Izin Belajar' name="download_sk_izin_belajar" states="confirm" type="object" />
						</div>
						<group>
	                        <group string="Data Perguruan Tinggi" name="formasi">
	                            	
									<field name="akreditasi" class="oe_inline"   readonly="True"/>
									<field name="no_sk_banpt" class="oe_inline"  attrs="{'readonly':[('state','!=','draft')]}"  />
									<field name="tanggal_sk_banpt" class="oe_inline"  attrs="{'readonly':[('state','!=','draft')]}"  />
									<field name="tahun_sk_banpt" class="oe_inline"   attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="tahun_kadaluarsa_sk_banpt" class="oe_inline" />
									<br/><br/>
									<field name="no_sk_jam_kuliah" class="oe_inline"  attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="tanggal_sk_jam_kuliah" class="oe_inline" />
									<br/><br/>
									<field name="no_sk_lulus" class="oe_inline"   attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="tanggal_sk_lulus" class="oe_inline"   attrs="{'readonly':[('state','!=','draft')]}" />
									<br/><br/>
									<field name="tahun_akademik"   class="oe_inline"   attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="start_date"   attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="end_date"    attrs="{'readonly':[('state','!=','draft')]}" />
									<field name="masa_perkuliahan"    attrs="{'readonly':[('state','!=','draft')]}" />
									
							</group>
							<group string="Data Dokumen" name="dokumen">
								
								<field name="tanggal_pengajuan"  attrs="{'readonly':[('state','!=','draft')]}" readonly="True"/>
								<field name="tahun_pengajuan" class="oe_inline" invisible="True" />
								<field name="no_sp_izin_belajar" attrs="{'required':[('state','!=','draft')],'readonly':[('state','!=','verifikasi_opd')]}"  />
								<field name="tanggal_surat_permohonan" attrs="{'required':[('state','!=','draft')],'readonly':[('state','!=','verifikasi_opd')]}"  />
								<field name="no_sk_izin_belajar" attrs="{'readonly':[('state','not in',('verifikasi_bkd','done'))]}" />
								<field name="tanggal_surat_keputusan"   attrs="{'readonly':[('state','not in',('verifikasi_bkd','done'))]}"  />
								<field name="no_sk_jam_kuliah_attach"   attrs="{'readonly':[('state','!=','draft')]}" />
								<field name="no_sk_lulus_attach"   attrs="{'readonly':[('state','!=','draft')]}"/>
								<br/><br/>
								<field name="attach_sp_izin_belajar"  attrs="{'invisible':[('state','in',('draft','verifikasi_opd'))]}"/>
								<field name="attach_sk_izin_belajar"  attrs="{'invisible':[('state','in',('draft','verifikasi_opd','verifikasi_bkd'))]}"/>
								<field name="notes" />
								<field name="company_id"  />
								
								
							</group> 
						</group>
                    <notebook> 
							<page string="Persyaratan" name="status_persyaratan" >
							<group> 
								<field name="status_masa_kerja"/>
									<field name="status_pangkat_minimum"/>			
									<field name="nilai_skp"/>
									<field name="status_hukuman_disiplin"/>
							</group>
							</page>
							<page string="Informasi Lain" name="informasi_lain" >
								<group> 
  										<field name="user_id" string="Pemohon" readonly="True"/>	
										<field name="user_id_opd" readonly="True"/>
										<field name="user_id_bkd" readonly="True"/>
								</group>
							</page>
					</notebook>
                    </sheet>
					 <div class="oe_chatter">
	                        
	                        <field name="message_ids" widget="mail_thread"/>
	                 </div>
				</form>
			</field>
		</record>
		

		<record model="ir.ui.view" id="izin_belajar_search_view">
			<field name="name">izin.belajar.search.view</field>
			<field name="model">izin.belajar</field>
			<field name="type">search</field>
			<field name="arch" type="xml">
				<search string="Pencarian...">
					<field name="name" string="Nama Formasi"/>
                    <field name="level_pendidikan_id" />
                    <field name="program_studi_id" />
                    <field name="nama_sekolah_id"   />
					<field name="tahun_pengajuan"   />
					<group expand="0" string="Group By...">
                        <filter string="Jenjang Pendidikan" icon="terp-personal+" domain="[]" context="{'group_by':'level_pendidikan_id'}"/>
                        <filter string="Program Studi" icon="terp-personal+" domain="[]" context="{'group_by':'program_studi_id'}"/>
						<filter string="Tahun" icon="terp-personal+" domain="[]" context="{'group_by':'tahun_pengajuan'}"/>
                    
                    </group>
				</search>
			</field>
		</record>
		
        <record id="action_izin_belajar" model="ir.actions.act_window">
			<field name="name">Hasil Pengajuan Izin Belajar</field>
			<field name="type">ir.actions.act_window</field>
			<field name="res_model">izin.belajar</field>
			<field name="view_type">form</field>
			<field name="view_mode">tree,form</field>
			<field name="domain">['|','|',('user_id','=',uid),('user_id_opd','=',uid),('user_id_bkd','=',uid)]</field>
			<field name="help" type="html">
			<p class="oe_view_nocontent_create">
			  Tidak Pengajuan Izin Belajar
			</p>
			</field>
		</record>
		
		
		<record model="ir.actions.act_window.view" id="action_izin_belajar_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="izin_belajar_tree_view"/>
			<field name="search_view_id" ref="izin_belajar_search_view"/> 
			<field name="act_window_id" ref="action_izin_belajar"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_izin_belajar_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="izin_belajar_form_view"/>
			<field name="act_window_id" ref="action_izin_belajar"/>
		</record>

		<menuitem id="menu_hasil_izin_belajar"  name="Hasil" parent="menu_izin_belajar" sequence="2" 
				action="action_izin_belajar"  />
		

		<!-- Kategorisasi Menu -->
		<record id="action_verifikasi_opd_izin_belajar" model="ir.actions.act_window">
			<field name="name">Pengajuan Permohonan Izin Belajar</field>
			<field name="type">ir.actions.act_window</field>
			<field name="res_model">izin.belajar</field>
			<field name="view_type">form</field>
			<field name="view_mode">tree,form</field>
			<field name="domain">[('user_id_opd','=',uid),('state','=','verifikasi_opd')]</field>
			<field name="help" type="html">
			<p class="oe_view_nocontent_create">
			  Tidak Pengajuan Izin Belajar
			</p>
			</field>
		</record>
		
		
		<record model="ir.actions.act_window.view" id="action_verifikasi_opd_izin_belajar_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="izin_belajar_tree_view"/>
			<field name="act_window_id" ref="action_verifikasi_opd_izin_belajar"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_verifikasi_opd_izin_belajar_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="izin_belajar_form_view"/>
			<field name="act_window_id" ref="action_verifikasi_opd_izin_belajar"/>
		</record>

		<menuitem id="menu_verifikasi_opd_izin_belajar"  name="Verifikasi" parent="menu_izin_belajar" sequence="3"  
				action="action_verifikasi_opd_izin_belajar"  groups="df_pendidikan_lanjutan.admin_opd_pendidikan_lanjutan"  />
		
		<record id="action_verifikasi_izin_belajar" model="ir.actions.act_window">
			<field name="name">Verifikasi Izin Belajar</field>
			<field name="type">ir.actions.act_window</field>
			<field name="res_model">izin.belajar</field>
			<field name="view_type">form</field>
			<field name="view_mode">tree,form</field>
			<field name="domain">[('user_id_bkd','=',uid),('state','=','verifikasi_bkd')]</field>
			<field name="help" type="html">
			<p class="oe_view_nocontent_create">
			  Tidak Pengajuan Izin Belajar
			</p>
			</field>
		</record>
		
		
		<record model="ir.actions.act_window.view" id="action_verifikasi_izin_belajar_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="izin_belajar_tree_view"/>
			<field name="act_window_id" ref="action_verifikasi_izin_belajar"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_verifikasi_izin_belajar_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="izin_belajar_form_view"/>
			<field name="act_window_id" ref="action_verifikasi_izin_belajar"/>
		</record>

		<menuitem id="menu_verifikasi_izin_belajar"  name="Verifikasi" parent="menu_izin_belajar" sequence="4"  
				action="action_verifikasi_izin_belajar"  groups="df_pendidikan_lanjutan.admin_pendidikan_lanjutan"  />
	</data>
</openerp>


